
QGIS Application - Bug report #15569

Size assistant fails to calculate min max from layer

2016-09-15 08:34 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23492

Description

the size assistant here fails to calculate the min and max values for a variable. This might be due to a weird field name: 01/08/2015 01:00

(derived from an xls file).

File attached.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-02-25 06:29 PM - Paolo Cavallini

- Description updated

- Affected QGIS version changed from 2.16.2 to 3.0.0

- Subject changed from Size assistance fails to calculate min max from layer to Size assistant fails to calculate min max from layer

Still true in QGIS 3

#3 - 2018-02-25 11:55 PM - Nyall Dawson

- Status changed from Open to Feedback

I think the issue here is that "01/08/2015" is a string field.

If I use the expression to_real("01/08/2015") in the size assistant then it works correctly.

Can you confirm?

#4 - 2018-02-26 02:26 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

In earlier versions the string field was listed among those usable by Assistant. Now the behaviour is correct.

Files
stat.zip 50.9 KB 2016-09-15 Paolo Cavallini
